Subject: RE: [h-e-w] Re: new-style Cygwin symlinks, NTEmacs' dired mode, a nd ls-lisp.el
From: "Underwood, Jonathan" <[email-masked]>
To: "'Dr Francis J. Wright'" <[email-masked]>, Matt Swift <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 4 Jul 2002 18:47:10 -0400

I've not really tried hard using it, but doesn't something like 

	(setq ls-lisp-use-insert-directory-program t) 

make emacs use cygwin ls for dired, which by it's nature would understand
cygwin symlinks? 
(as long as emacs knows where to find ls)

No doubt i'm missing lots of subtelties with this though :)

I have for some time thought that, given the large number of people using
cygwin in conjunction with ntemacs, a package should be put together to
seemlessly integrate the two, incorporating cygwin-mount.el and other stuff.
I've been putting some stuff together, but i'm sure i'm not the most
qualified for the job. Anyway, if anyone is interested in this, i'd be happy
to help.

jonathan.

> -----Original Message-----
> From: Dr Francis J. Wright [mailto:[email-masked]]
> Sent: July 4, 2002 6:28 PM
> To: Matt Swift
> Cc: [email-masked]; [email-masked]
> Subject: [h-e-w] Re: new-style Cygwin symlinks, NTEmacs' 
> dired mode, and
> ls-lisp.el
> 
> 
> From: "Matt Swift" <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>
> Sent: Wednesday, July 03, 2002 11:38 PM
> Subject: new-style Cygwin symlinks, NTEmacs' dired mode, and 
> ls-lisp.el
> 
> 
> > Maybe this has already been done, but I have hacked 
> ls-lisp.el so that
> > it understands the new-style Cygwin symlinks (which seem 
> like Windows
> > shortcuts to Windows, but not to ls-lisp.el).  I have had to
> > reverse-engineer and hack without a full understanding of shortcut
> > headers.  Putting the following code in a startup .el file 
> works for me
> > with EmacsNT 20.7.  It causes Emacs to do two things after loading
> > dired: load ls-lisp, then redefine one function defined in 
> ls-lisp.el.
> > My modifications are commented and labeled with "MSS".   I 
> am sending
> > this email because I think others may be interested in this code.
> > Someone with full knowledge could make this code more efficient and
> > address the question of robustness with odd file names and unusual
> > symlink headers.
> 
> I also have some revisions to ls-lisp in progress, one of 
> which is support
> for Cygwin-generated shortcut files.  I want to test it a bit 
> more before I
> release it.  However, I will only support NT Emacs 21, and my 
> new code will
> not work with earlier versions.
> 
> Francis
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/